<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

  <xsl:template match="/">
    <html>
      <head>
        <meta name="generator" content="HTML Tidy, see www.w3.org" />
        <link rel="stylesheet" type="text/css" href="{$cssDir}ftd.css" />
        <script language="JavaScript" src="{$cssDir}javascript.js"></script>
        <xsl:value-of select="Events/WatchlistJS" disable-output-escaping="yes"/>
        <title></title>
      </head>

   <body background="{$imgDir}/allbg.gif" alink="#163657" vlink="#163657" link="#163657" text="#000000">
    <table width="100%" cellspacing="0" cellpadding="0" border="0">
     <tr>
      <td height="41" width="33" background="{$imgDir}/list.png"></td>
      <td width="*">
       <table border="0" width="100%" cellspacing="0" cellpadding="0">
        <tr>
         <td height="41" width="10" background="{$imgDir}/headerbg2.png"></td>
         <td width="*" background="{$imgDir}/headerbg2.png">Gefilterd overzicht - Overzicht aangemaakt: <xsl:value-of select="Events/DateTimeGenerated"/></td>
         <td width="41" background="{$imgDir}/headerend2.png"></td>
        </tr>
       </table>
      </td>
     </tr>

     <tr>
      <td background="{$imgDir}/bleft2.png"></td>
      <td border="1" background="{$imgDir}/mainbg2.png">
       <br />
       <xsl:apply-templates name="Events" />
       <br />
      </td>
     </tr>
    </table>

    <table cellspacing="0" cellpadding="0" width="100%">
     <tr>
      <td width="33">
       <img src="{$imgDir}/botleft2.png"/>
      </td>
      <td width="*" background="{$imgDir}/botbot2.png" align="right" valign="top">
       <font>OpenFTD 1.2 &#169; 2003-2009 <a style="color: #A6A8C9;" href="iets.html#ftdmailAlguno">Alguno</a>.</font>
      </td>
      <td width="71" background="{$imgDir}/botbot2.png">
       <img src="{$imgDir}/ftdfooter2.gif"/>
      </td>
      <td width="*" background="{$imgDir}/botbot2.png" valign="top">
       <font>Gehost door <a style="color: #C3C6ED;" href="iets.html#linkhttp://www.quickhost.nl/?ref=1"> <b>QuickHost</b></a> - Webhosting &amp; More</font>
      </td>
     </tr>
    </table>
   </body>
  </html>
 </xsl:template>


 <xsl:template match="Events">
  <xsl:param name="sortMode"><xsl:value-of select="SortMode"/></xsl:param>
  <xsl:choose>
   <xsl:when test="AantalEvents = 0">
    <center>Geen FTD aanmeldingen gevonden . . .</center>
   </xsl:when>
   <xsl:when test="AantalEvents != 0">
    <xsl:choose>
     <xsl:when test="AantalEvents > LimitResults">
      <center>Meer dan <xsl:value-of select="LimitResults" /> resultaten gevonden. De meest oude resultaten zijn achterwege gelaten</center>
      <br />
     </xsl:when>
    </xsl:choose>
    <table cellspacing="0" cellpadding="0" width="100%" border="1">
     <tr>
      <td>
       <table cellspacing="0" cellpadding="0" style="table-layout: fixed; background-color: #F1FAFB; font-family: Arial; font-size: 11px;" width="100%">
        <col width="20"/>
        <col width="135"/>
        <col width="40"/>
        <col width="38"/>
        <col width="16"/>
        <col width="*"/>
        <col width="20"/>
        <col width="170"/>
        <col width="20"/>

        <tr style="color: #32513A; background-image: url({$imgDir}/pbg.png); padding-bottom: 7px; font-family: Verdana; font-size: 11px; font-weight: bold;">
         <td background="{$imgDir}/pbg.png" width="20">
          &nbsp;
         </td>
         <td background="{$imgDir}/pbg.png" width="135">
          <center><img src="{$imgDir}/aup.gif" />
          <a style="color: #32513A;" href="iets.html#sortmode0"> Datum</a></center>
         </td>
         <td background="{$imgDir}/pbg.png" width="40">
          &nbsp;
         </td>
         <td background="{$imgDir}/pbg.png" width="38">
          <center><a style="color: #32513A;" href="iets.html#sortmode5"> R</a></center>
         </td>
         <td background="{$imgDir}/pbg.png" width="16">
          &nbsp;
         </td>
         <td background="{$imgDir}/pbg.png" width="*">
          <center><a style="color: #32513A;" href="iets.html#sortmode1"> Titel</a></center>
         </td>
         <td background="{$imgDir}/pbg.png" width="20">
          &nbsp;
         </td>
         <td background="{$imgDir}/pbg.png" width="170">
          <center><a style="color: #32513A;" href="iets.html#sortmode2"> Spotter</a></center>
         </td>
         <td background="{$imgDir}/pbg.png" width="20">
          &nbsp;
         </td>
        </tr>

        <xsl:if test="SortRichting = 'ascending'">
         <xsl:apply-templates select="Event">
          <xsl:sort select="*[name(.) = $sortMode]" order="ascending" />
         </xsl:apply-templates>
        </xsl:if>
        <xsl:if test="SortRichting = 'descending'">
         <xsl:apply-templates select="Event">
          <xsl:sort select="*[name(.) = $sortMode]" order="descending" />
         </xsl:apply-templates>
        </xsl:if>
       </table>
      </td>
     </tr>
    </table>
   </xsl:when>
  </xsl:choose>
 </xsl:template>

 <xsl:template match="Event">
  <xsl:param name="PrevCheck"><xsl:value-of select="../PrevCheck"/></xsl:param>
  <xsl:choose>
  <xsl:when test="position() &lt;= ../LimitResults">
  <tr>
  <xsl:choose>
   <xsl:when test="Stamp &gt;= $PrevCheck">
    <xsl:choose>
     <xsl:when test="position() mod 2 = 0">
      <xsl:attribute name="onmouseover">
       this.style.backgroundColor = '#FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'a',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="onmouseout">
       this.style.backgroundColor = '#F4FFF4'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'a',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="bgcolor">
       #F4FFF4
      </xsl:attribute>
      <xsl:attribute name="style">
       background-color: #F4FFF4;
      </xsl:attribute>
     </xsl:when>
     <xsl:when test="position() mod 2 = 1">
      <xsl:attribute name="onmouseover">
       this.style.backgroundColor = '#FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'b',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="onmouseout">
       this.style.backgroundColor = '#DDFFDD'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'b',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="bgcolor">
       #DDFFDD
      </xsl:attribute>
      <xsl:attribute name="style">
       background-color: #DDFFDD;
      </xsl:attribute>
     </xsl:when>
    </xsl:choose>
   </xsl:when>
   <xsl:otherwise>
    <xsl:choose>
     <xsl:when test="position() mod 2 = 0">
      <xsl:attribute name="onmouseover">
       this.style.backgroundColor = '#FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'a',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="onmouseout">
       this.style.backgroundColor = '#FAFAFA'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'a',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="bgcolor">
       #FAFAFA
      </xsl:attribute>
      <xsl:attribute name="style">
       background-color: #FAFAFA;
      </xsl:attribute>
     </xsl:when>
     <xsl:when test="position() mod 2 = 1">
      <xsl:attribute name="onmouseover">
       this.style.backgroundColor = '#FFFFFF'; ptr(1,'ptr<xsl:value-of select="Pos" />'); dllist(0,'b',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="onmouseout">
       this.style.backgroundColor = '#EEEEEE'; ptr(0,'ptr<xsl:value-of select="Pos" />'); dllist(1,'b',<xsl:value-of select="PostID" />);
      </xsl:attribute>
      <xsl:attribute name="bgcolor">
       #EEEEEE
      </xsl:attribute>
      <xsl:attribute name="style">
       background-color: #EEEEEE;
      </xsl:attribute>
     </xsl:when>
    </xsl:choose>
   </xsl:otherwise>
  </xsl:choose>
   <td>
    <xsl:choose>
     <xsl:when test="Status = -3">
      <center><img src="{$imgDir}/kill.gif" /></center>
     </xsl:when>
     <xsl:when test="Status = -2">
      <center><img src="{$imgDir}/kill.gif" /></center>
     </xsl:when>
     <xsl:when test="Status = -1">
      <center><img src="{$imgDir}/spot.gif" /></center> <!-- spot -->
     </xsl:when>
     <xsl:when test="Status = 0">
      <center><img src="{$imgDir}/spot.gif" /></center> <!-- ready -->
     </xsl:when>
     <xsl:when test="Status = 1">
      <center><img src="{$imgDir}/spot.gif" /></center> <!-- announce -->
     </xsl:when>
     <xsl:when test="Status = 2">
      <center><img src="{$imgDir}/spot.gif" /></center> <!-- uploading -->
     </xsl:when>
     <xsl:when test="Status = 3">
      <center><img src="{$imgDir}/red.gif" /></center> <!-- unsupp -->
     </xsl:when>
    </xsl:choose>
   </td>
   <td>
    <span style="white-space: nowrap;"><xsl:value-of select="Datum"/></span>
   </td>
   <td>
    <img src="{$imgDir}/ct{Cat}{SCat}.gif"/>
   </td>
   <td>
    <xsl:variable name="Rat" select="substring((Rating div 100), 1, 1)"/>
    <img src="{$imgDir}/vw_{$Rat}.gif" alt="Rating : {Rating}"/>
   </td>
   <td>
    <img name="ptr{Pos}" src="{$imgDir}/ptr1.gif"/>
   </td>
   <td>
    <div style="overflow:hidden; white-space: nowrap; text-overflow: ellipsis; padding: 1px 6px;">
     <xsl:choose>
      <xsl:when test="Stamp &gt;= $PrevCheck">
       <a style="color: #008800;" href="iets.html#post{PostID}"><xsl:value-of select="Title" disable-output-escaping="yes" /></a>
      </xsl:when>
      <xsl:when test="Stamp &lt; $PrevCheck">
       <a href="iets.html#post{PostID}"><xsl:value-of select="Title" disable-output-escaping="yes" /></a>
      </xsl:when>
     </xsl:choose>
    </div>
   </td>
   <td>
    <xsl:choose>
     <xsl:when test="Link != ''">
      <a href="iets.html#link{Link}"><img src="{$imgDir}/u.gif" border="0"/></a>
     </xsl:when>
    </xsl:choose>
   </td>
   <td style="white-space: nowrap;">
    <a href="iets.html#info{Poster}"><xsl:value-of select="Poster"/></a>
   </td>
   <td>
    <xsl:choose>
     <xsl:when test="Watchlist = 1">
      <a href="iets.html#add{PostID}"><img border="0" id="p{PostID}" name="p{PostID}" onclick="dllist(2,'a',{PostID});" src="{$imgDir}/dlb2a.png"/></a>
     </xsl:when>
     <xsl:when test="Watchlist = 0">
      <a href="iets.html#add{PostID}"><img border="0" id="p{PostID}" name="p{PostID}" onclick="dllist(2,'a',{PostID});" src="{$imgDir}/dlb1a.png"/></a>
     </xsl:when>
    </xsl:choose>
   </td>
  </tr>
  </xsl:when>
  </xsl:choose>
 </xsl:template>

</xsl:stylesheet>
